extends Control

signal on_new_game_started
signal on_game_continued

# On ready, check which buttons to show
func _ready() -> void:
	if SaveManager.save_exists():
		%ContinueGameButton.visible = true
		%NewGameButton.visible = false

func _on_new_game_button_pressed() -> void:
	# Hide the main menu
	self.visible = false
	
	# emit the new game signal
	on_new_game_started.emit()

func _on_continue_game_button_pressed() -> void:
	# Hide the main menu
	self.visible = false
	
	# emit the continue game signal
	on_game_continued.emit()

func _on_options_button_pressed() -> void:
	print("TODO")

func _on_licenses_button_pressed() -> void:
	print("TODO")

func _on_exit_button_pressed() -> void:
	get_tree().quit()
